.items {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  box-shadow: 0 5px 10px 0 rgba(0,0,0,0.3);
}

.item {
  position: relative;
  background: var(--primary-color);
  overflow: hidden;
}
.item:after {
  content: '';
  position: absolute;
  display: block;
  background: inherit;
  opacity: 0.9;
  top:0;
  left:0;
  width: 100%;
  height: 100%;
  transform: scale(1) translateX(-75%) translateY(-75%) rotate(-28deg);
  transition: transform 3s cubic-bezier(0.2, 1, 0.3, 1); 
  /* Using cubic-bezier instead of ease-n-out  */
}

/* Bring in main color overlay */
.item:hover:after {
  transform: scale(2) translateX(0) translateY(0) rotate(-28deg);
}

/* Scale image on hover */
.item:hover .item-image {
  transform: scale(1.2)
}

/* Bring text on hover */
.item:hover .item-text {
  opacity: 1;
  transform: translateY(0);
}

.item-image {
  display: block;
  transform: translateZ(0);
  transition: transform 750ms cubic-bezier(0.2, 1, 0.3, 1);
}

.item-image img{
  height: 100% !important;
  object-fit: cover;
  width: 100%;
}
  
.item-image:before {
  content: '';
  display: block;
  padding-top: 75%;
  overflow: hidden;
}

.item-image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  line-height: 0;
}

.item-text {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  opacity: 0;
  text-align: center;
  z-index: 1;
  color: #fff;
  transform: translateY(-20%);
  transition: opacity 500ms cubic-bezier(0.2, 1, 0.3, 1), 
  transform 500ms cubic-bezier(0.2, 1, 0.3, 1);
  transition-delay: 350ms;
}

.item-text-wrap {
  position: absolute;
  width: 100%;
  top: 50%;
  transform: translateY(-50%);
}

.item-text-title {
  font-size: 2rem;
  padding: 0 1rem;
  margin: 5px 0 0 0;
}

.item-text-category {
  font-size: 1.2rem;
  opacity: 0.7;
  margin: 0;
}

@media screen and (max-width: 792px) {
  .items {
    grid-template-columns: repeat(2, 1fr);
  }

  /* Scale image on hover
  .item:after {
    opacity: 0.7;
  }

  /* Bring text on hover */
  .item-text-category {
    display: none;
  }
  .item .item-text {
    opacity: 1;
    transform: translateY(0);
    position: relative;
    text-align: center;
    padding-bottom: 0;
  }
    /*

  .item-text-wrap {
    width: 100%;
    position: relative;
    transform: translateY(0);
  }
  */
  .item-text-title {
    font-size: 1.9rem !important;
    padding-bottom: 5rem !important;
    /* text-shadow: 10px 10px 10px rgb(0,0,0); */
    background-color: rgba(92,126,150,0.6);
    border-radius: 10px;;
  }
  .item:after {
    opacity: 0.2;
  }
}

@media screen and (max-width: 584px) {
  .items {
    grid-template-columns: 1fr;
  }

  /* .item-text-category {
    display: none;
  } */
}